require_relative 'report'

module Capistrano
  module SshAgent
    module HelperMethods

      def initalize_report
        @report = Capistrano::SshAgent::Report.new
      end

      def report_error_for(task_name, hosts=nil)
        @report.report_error_for(task_name, hosts)
      end

      def print_report
        @report.print
      end

    end
  end
end
